1. One Way (1 ADT)
EFLY-Providers
  • Flight
    • Domestic
      • One Way
        • One Way (1 ADT)
          • Search Flight (Oneway)
            POST
          • Allocate
            POST
          • Update Passengers
            POST
          • Prebooking
            POST
          • Payment
            POST
          • Finalize
            POST
        • One Way (2 ADT)
          • Search Flight (Oneway)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
      • Round Trip
        • Round Trip (1 ADT)
          • Search Flight (Round Trip)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
        • Round Trip (2 ADT)
          • Payment
          • Update Passengers
          • Allocate
          • Search Flight (Round Trip)
          • Prebooking
          • Finalize
        • Round Trip (1 ADT, 1 CHD)
          • Search Flight (Round Trip)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
        • Round Trip (1 ADT) (alternativePrices)
          • Search Flight (Round Trip)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
        • Round Trip (1 ADT) Copy Copy
          • Search Flight (Round Trip)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
    • International
      • One Way
        • One Way (1 ADT)
          • Search Flight (Oneway)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
        • One Way (2 ADT)
          • Search Flight (Oneway)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
      • Round Trip
        • Round Trip (1 ADT)
          • Search Flight (Round Trip)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
        • Round Trip (2 ADT)
          • Search Flight (Round Trip)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
        • Round Trip (2 ADT) Copy
          • Search Flight (Round Trip)
          • Allocate
          • Update Passengers
          • Prebooking
          • Payment
          • Finalize
    • Flight Providers List
      GET
  • Hotel
    • Search Hotel with Destination Id
      POST
    • Search Hotel with Hotel Code
      POST
    • Get Hotel Details
      POST
    • Room Offers
      POST
    • Validate Rooms
      POST
    • Get Payment Options
      POST
    • Complete Booking
      POST
  • Bus
    • Search
      POST
    • Bus Details
      POST
    • Check Seat Status
      POST
    • Finalize
      POST
  • Schemas
    • Flight
      • Flight Search Request Segment
  1. One Way (1 ADT)

Search Flight (Oneway)

Developing
Develop Env
http://providers.tripingram.local
Develop Env
http://providers.tripingram.local
POST
/flight/search

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/json

Example
{
    "user": {
        "customerToken":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJjcmVhdGVkX2F0IjoiMjAyNC0wOC0xOSAwNToxMDo1MiIsImVtYWlsIjoiazc0cjE3YnlCQ0BndWVzdC5jb20iLCJuYW1lIjoiR3Vlc3QiLCJwaG9uZSI6IiIsImlkIjoxNzI0MDMzNDUyLCJ0eXBlIjoiZ3Vlc3QiLCJleHBpcmVfYXQiOiIyMDI0LTA4LTIwVDAyOjEwOjUyLjk0MTMzNFoifQ.MBSUC81TcHsyxEE61ikwU3DvmcRkIyYuzPR_Tf7sr4U",
        "customerType": "individual",
        "userAgent": "Mozilla/5.0 (Linux; Android 11; Redmi Note 8) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/111.0.0.0 Mobile Safari/537.36",
        "ip": "5.32.21.5",
        "referral": "http://providers.tripingram.local"
    },
    "searchType": "oneway",
    "cabinClass": "Economy",
    "adt": 1,
    "direct": false,
    "s": [
        {
            "origin": "IST",
            "originIsCity": true,
            "destination": "ESB",
            "destinationIsCity": false,
            "date": "2024-09-26"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://providers.tripingram.local/flight/search' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
    "user": {
        "customerToken":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJjcmVhdGVkX2F0IjoiMjAyNC0wOC0xOSAwNToxMDo1MiIsImVtYWlsIjoiazc0cjE3YnlCQ0BndWVzdC5jb20iLCJuYW1lIjoiR3Vlc3QiLCJwaG9uZSI6IiIsImlkIjoxNzI0MDMzNDUyLCJ0eXBlIjoiZ3Vlc3QiLCJleHBpcmVfYXQiOiIyMDI0LTA4LTIwVDAyOjEwOjUyLjk0MTMzNFoifQ.MBSUC81TcHsyxEE61ikwU3DvmcRkIyYuzPR_Tf7sr4U",
        "customerType": "individual",
        "userAgent": "Mozilla/5.0 (Linux; Android 11; Redmi Note 8) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/111.0.0.0 Mobile Safari/537.36",
        "ip": "5.32.21.5",
        "referral": "http://providers.tripingram.local"
    },
    "searchType": "oneway",
    "cabinClass": "Economy",
    "adt": 1,
    "direct": false,
    "s": [
        {
            "origin": "IST",
            "originIsCity": true,
            "destination": "ESB",
            "destinationIsCity": false,
            "date": "2024-09-26"
        }
    ]
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "data": {
        "flightType": "string",
        "bookingStatus": "string",
        "session": {
            "sessionId": "string",
            "sessionToken": "string"
        },
        "journeyId": "string",
        "providerSearchId": "string",
        "searchId": "string",
        "selectedFlightIds": [
            "string"
        ],
        "success": true,
        "isDomestic": true,
        "combined": true,
        "results": [
            {
                "searchId": "string",
                "flightId": "string",
                "flightNumber": "string",
                "isTransit": true,
                "isDomestic": true,
                "duration": "string",
                "airDuration": "string",
                "waitDuration": "string",
                "seatsAvailable": 0,
                "segments": [
                    {
                        "segmentId": "string",
                        "flightNumber": "string",
                        "type": "string",
                        "sequenceNo": 0,
                        "airplaneCode": null,
                        "airplaneName": "string",
                        "duration": "string",
                        "cabinClass": "string",
                        "cabin": "string",
                        "seatsAvailable": 0,
                        "originAirport": "string",
                        "originAirportCode": "string",
                        "originCity": "string",
                        "originCityCode": "string",
                        "originCountry": "string",
                        "originCountryCode": "string",
                        "destinationAirport": "string",
                        "destinationAirportCode": "string",
                        "destinationCity": "string",
                        "destinationCityCode": "string",
                        "destinationCountry": "string",
                        "destinationCountryCode": "string",
                        "departureDate": "string",
                        "departureTime": "string",
                        "departureDateTime": "string",
                        "arrivalDate": "string",
                        "arrivalTime": "string",
                        "arrivalDateTime": "string",
                        "airlineLabel": "string",
                        "airlineMarketing": "string",
                        "airlineOperating": "string",
                        "airlineIcon": null
                    }
                ],
                "paxItems": [
                    {
                        "paxId": "string",
                        "serviceId": "string",
                        "paxCode": "string",
                        "sequence": 0,
                        "freeBaggage": [
                            {
                                "value": 0,
                                "paxCode": "string",
                                "unit": "string",
                                "unitType": "string"
                            }
                        ],
                        "serviceFee": 0,
                        "serviceFeeOriginal": 0,
                        "serviceFeeDiscount": 0,
                        "tax": 0,
                        "taxDiscount": 0,
                        "netFare": 0,
                        "totalFare": 0,
                        "currency": "string",
                        "priceIncludesRoundPrice": true,
                        "vqFare": 0,
                        "yrFare": 0,
                        "ourFare": 0,
                        "totalPrice": 0,
                        "baseFare": 0,
                        "needsRefresh": true
                    }
                ],
                "alternativePrices": [
                    {
                        "serviceId": "string",
                        "paxId": "string",
                        "fareType": "string",
                        "fareBasisCode": "string",
                        "paxCode": "string",
                        "paxSequence": 0,
                        "isPromo": true,
                        "businessLounge": true,
                        "seatSelection": true,
                        "isSelected": true,
                        "brandCode": "string",
                        "brandKey": "string",
                        "brandName": "string",
                        "freeBaggage": [
                            {
                                "value": 0,
                                "paxCode": "string",
                                "unit": "string",
                                "unitType": "string"
                            }
                        ],
                        "bonus": {
                            "available": true,
                            "amount": 0,
                            "airlineIcon": null
                        },
                        "meal": {
                            "mealCode": "string",
                            "mealName": "string",
                            "mealSubCode": "string",
                            "mealDescription": "string"
                        },
                        "cancellationPolicies": [
                            {
                                "price": 0,
                                "currency": "string",
                                "dateFrom": "string",
                                "dateTo": "string",
                                "hoursBeforeFlight": 0,
                                "isRefundable": true,
                                "text": "string"
                            }
                        ],
                        "changePolicies": [
                            {
                                "price": 0,
                                "currency": "string",
                                "dateFrom": "string",
                                "dateTo": "string",
                                "hoursBeforeFlight": 0,
                                "isChangeable": true,
                                "text": "string"
                            }
                        ],
                        "informationTexts": [
                            {
                                "code": "string",
                                "text": "string"
                            }
                        ],
                        "serviceFee": 0,
                        "serviceFeeOriginal": 0,
                        "serviceFeeDiscount": 0,
                        "tax": 0,
                        "taxDiscount": 0,
                        "netFare": 0,
                        "totalFare": 0,
                        "currency": "string",
                        "priceIncludesRoundPrice": true,
                        "vqFare": 0,
                        "yrFare": 0,
                        "ourFare": 0,
                        "totalPrice": 0,
                        "baseFare": 0,
                        "needsRefresh": true,
                        "cabin": "string",
                        "cabinClass": "string"
                    }
                ],
                "stops": 0,
                "combinations": [
                    "string"
                ],
                "documentRequires": [
                    "string"
                ],
                "informationTexts": [
                    "string"
                ],
                "serviceFee": 0,
                "serviceFeeOriginal": 0,
                "serviceFeeDiscount": 0,
                "tax": 0,
                "taxDiscount": 0,
                "netFare": 0,
                "totalFare": 0,
                "currency": "string",
                "priceIncludesRoundPrice": true,
                "vqFare": 0,
                "yrFare": 0,
                "ourFare": 0,
                "totalPrice": 0,
                "baseFare": 0,
                "needsRefresh": true,
                "departureDate": "string",
                "departureTime": "string",
                "departureDateTime": "string",
                "arrivalDate": "string",
                "arrivalTime": "string",
                "arrivalDateTime": "string",
                "airlineLabel": "string",
                "airlineMarketing": "string",
                "airlineOperating": "string",
                "airlineIcon": null,
                "bookingProviderId": null,
                "bookingProviderCode": null,
                "cabin": "string",
                "cabinClass": "string"
            }
        ],
        "relations": [
            "string"
        ],
        "documentRequires": [
            "string"
        ],
        "ttl": 0
    },
    "success": true,
    "code": 0,
    "message": "string"
}
Modified at 2024-09-18 07:07:00
Next
Allocate
Built with